/*basic socket and file io*/

#ifndef _FSDBIO_HPP
#define _FSDBIO_HPP

#include "common.h"

#include <diskio.hpp>
#include <pro.h>
#include <fpro.h>
#include <windows.h>
#include <winsock2.h>
#include <ws2tcpip.h>
#include <stdlib.h>
#include <stdio.h>
#include <pronet.h> 

//file io, IDA SDK
FILE *file_open_append(char *fpath);
//reads the byte contents of a file, returns -1 in case of errors and the number of read bytes otherwise
long file_readbytecontents(char *fpath, char *buffer);
void file_close(FILE *fp); //in case of failures displays a message and exits
void file_write_str(FILE *fp, char *str); //in case of failures displays a message and exits

//socket io
int setup_client_socket(char * server, char * server_port, SOCKET* out_sock);
int send_buf_via_socket(SOCKET* sock, char* buf);
int shutdown_socket(SOCKET* sock);

#endif  _FSDBIO_HPP